%define major   1
%define girapi  1.0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           statusnotifier
Version:        1.0.0
Release:        %mkrel 1
Summary:        Library to use KDE's StatusNotifierItem via GObject
Group:          System/Libraries
License:        GPLv3+
URL:            https://jjacky.com/statusnotifier
Source0:        https://jjacky.com/statusnotifier/%{name}-%{version}.tar.xz
Patch1:		Fix-gtk-doc-build-with-libtool.patch
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(dbusmenu-glib-0.4)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(wayland-protocols)

%description
This library allows to easily create a GObject to manage a StatusNotifierItem,
handling all the DBus interface and letting you simply deal with the object's
properties and signals.

StatusNotifierItem is a Freedesktop specification used among others by KDE's
Plasma as a replacement for XEmbed systray.

%package -n %{libname}
Summary:    Library to use KDE's StatusNotifierItem via GObject
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
This library allows to easily create a GObject to manage a StatusNotifierItem,
handling all the DBus interface and letting you simply deal with the object's
properties and signals.

StatusNotifierItem is a Freedesktop specification used among others by KDE's
Plasma as a replacement for XEmbed systray.

%package -n %{devname}
Summary:    Development files for the statusnotifier library
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development header and library for the statusnotifier library.

%prep
%setup -q
%patch1 -p1

%build
autoreconf -vfi
%configure2_5x \
  --disable-static \
  --enable-gtk-doc=yes \
  --enable-dbusmenu=yes \
  --enable-introspection=yes
%make_build

%install
%make_install
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/girepository-1.0/StatusNotifier-%{girapi}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/StatusNotifier-%{girapi}.gir
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Apr 24 2017 TerryN <terryn94 at gmail.com> 1.0.0-1pclos2017
- Initial version for PCLinuxOS
